# zbot/plugs/find.py
#
#

""" output a set of objects. """

## IMPORTS

from zbot.utils import get_args, get_opts
from zbot import kernel

import logging

## do_find command

def do_find(event):
    if not event.rest: logging.warn("no arguments given") ; return
    for obj in event.objects(**event.opts):
        go = True
        res = ""
        for opt in event.opts:
            try:
                if event.opts[opt] not in str(obj[opt]): go = False 
            except KeyError: pass
        if not go: continue
        for arg in event.args:
            try:
                if getattr(obj, arg): res += "%s%s" % (obj[arg], " -=- ")
            except: continue
        if obj.dont == "yes" and "dont" not in args: continue
        if res: event.reply(res[:-5])

kernel.cmnds.register("find", do_find)
