# warnsuicide plugin

## jsb imports

from jsb.utils.timeutils import strtotime
from jsb.lib.commands import cmnds
from jsb.lib.callbacks import callbacks
from jsb.lib.threadloop import TimedLoop

## basic imports

import time
import logging

## SuicideWarnLoop

pogingenjaar = 20000 # + 7000
pogingendag = pogingenjaar / 365.0
pogingenuur = pogingendag / 24.0
pogingenmin = pogingenuur / 60.0
geslaagdjaar = 1700
geslaagddag = geslaagdjaar / 365.0
geslaagduur = geslaagddag / 24.0
geslaagdmin = geslaagduur / 60.0
counter = 0
startdate = "13-9-2012"
starttime = strtotime(startdate)

url = "http://www.ggzpreventie.nl/blog/continuiteit-van-zorg/"

irctargetlist = ["#ggzpreventie", "#ggzbot"]

def toirc(bot, event, txt, debug=False):
    if debug: print txt ; return
    for i in irctargetlist:
         bot.say(i, txt)

prevpogingen = 0
prevgeslaagd = 0

def suicidewarn(bot, event):
    global counter, prevpogingen, prevgeslaagd
    counter += 1
    #logging.warn("suicide tick counter is %s" % str(counter))
    timediff = time.time() - starttime
    aantalmin = timediff / 60.0
    pogingen = int(aantalmin  * pogingenmin)
    geslaagd = int(aantalmin  * geslaagdmin)
    if not prevpogingen: prevpogingen = pogingen ; prevgeslaagd = geslaagd ; return
    if pogingen - prevpogingen > 0: toirc(bot, event, "POGING %s sinds %s - %s #ggz #suicide #ggzpreventie" % (pogingen, startdate, url)) ; prevpogingen = pogingen
    if geslaagd - prevgeslaagd > 0: toirc(bot, event, "SUICIDE %s sinds %s - %s #ggz #suicide #ggzpreventie" % (geslaagd, startdate, url)) ; prevgeslaagd = geslaagd

callbacks.add("TICK60", suicidewarn)
cmnds.add("suicides", suicidewarn, "OPER")

